variables:
  junit.keep-long-stdio?: false
  junit.health-scale-factor: 1.0
  junit.allow-empty-results?: ${next-value|false}

aspects:
- name: unit-test-report.junit
  aspect: junit
  variables:
    aspect.junit.patterns: ${junit.patterns:${mode}|${junit.patterns|[]}}
    aspect.junit.keep-long-stdio?: ${junit.keep-long-stdio?:${mode}|${junit.keep-long-stdio?}}
    aspect.junit.health-scale-factor: ${junit.health-scale-factor:${mode}|${junit.health-scale-factor}}
    aspect.junit.allow-empty-results?: ${junit.allow-empty-results?:${mode}|${junit.allow-empty-results?}}

    # TODO Backward compatibility
    pattern-elements: ${aspect.junit.patterns},
    aspect.junit.pattern: '@{pattern-elements}'
